Subject: bug#45976: closed (Re: [PATCH v2 0/2] gnu: guile-redis: Update to 2.0.0.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 27 Jan 2021 09:23:02 +0000

Your bug report

#45977: [PATCH 1/1] gnu: guile-redis: Update to 2.0.0.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45977: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45977
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH v2 0/2] gnu: guile-redis: Update to 2.0.0.
From: Efraim Flashner <[email-masked]>
To: BonfaceKilz <[email-masked]>
Cc: [email-masked]
Date: Wed, 27 Jan 2021 11:21:37 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Jan 26, 2021 at 01:42:31PM +0300, BonfaceKilz wrote:
> Hi! For this patch, I've downgraded guile2.0-redis back to 1.3.0. The problem
> with with trying to build v2.0.0 on guile2.0 is that libs like (ice-9
> textual-ports) were not yet present; but are used in v2.0 of
> guile-redis. Here's what I have when I get into a guile2.0 repl:

I dug into it a bit more and it looks like (redis utils) imports (ice-9
textual-imports) only for the put-string function. If I remove the
import then guile2.0-redis compiles just fine, but I wasn't sure if
there was a good test for it.

(ins)efraim@3900XT ~$ guix environment --ad-hoc [email-masked] -- guile
;;; WARNING: loading compiled file /home/efraim/.guix-profile/lib/guile/3.0/site-ccache/ice-9/readline.go failed:
;;; ERROR: In procedure make_objcode_from_file: bad header on object file: "\x7fELF\x02\x01\x01�\x00\x00\x00\x00\x00\x00\x00\x00"
;;; WARNING: loading compiled file /run/current-system/profile/lib/guile/3.0/site-ccache/ice-9/readline.go failed:
;;; ERROR: In procedure make_objcode_from_file: bad header on object file: "\x7fELF\x02\x01\x01�\x00\x00\x00\x00\x00\x00\x00\x00"
Consider installing the 'guile-readline' package for
convenient interactive line editing and input history.

;;; WARNING: loading compiled file /home/efraim/.guix-profile/lib/guile/3.0/site-ccache/ice-9/colorized.go failed:
;;; ERROR: In procedure make_objcode_from_file: bad header on object file: "\x7fELF\x02\x01\x01�\x00\x00\x00\x00\x00\x00\x00\x00"
;;; WARNING: loading compiled file /run/current-system/profile/lib/guile/3.0/site-ccache/ice-9/colorized.go failed:
;;; ERROR: In procedure make_objcode_from_file: bad header on object file: "\x7fELF\x02\x01\x01�\x00\x00\x00\x00\x00\x00\x00\x00"
GNU Guile 2.0.14
Copyright (C) 1995-2016 Free Software Foundation, Inc.

Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show w'.
This program is free software, and you are welcome to redistribute it
under certain conditions; type `,show c' for details.

Enter `,help' for help.
scheme@(guile-user)> (put-string "abcde" %current-output-port)
;;; <stdin>:1:0: warning: possibly unbound variable `put-string'
;;; <stdin>:1:0: warning: possibly unbound variable `%current-output-port'
<unnamed port>:1:0: In procedure #<procedure 7ff4222f48e0 at <current input>:1:0 ()>:
<unnamed port>:1:0: In procedure module-lookup: Unbound variable: put-string

Entering a new prompt.  Type `,bt' for a backtrace or `,q' to continue.
scheme@(guile-user) [1]> ,q
scheme@(guile-user)> (use-modules (rnrs io ports))
scheme@(guile-user)> (put-string "abcde" %current-output-port)
;;; <stdin>:4:0: warning: possibly unbound variable `%current-output-port'
<unnamed port>:4:12: In procedure #<procedure 7ff422266160 at <current input>:4:0 ()>:
<unnamed port>:4:12: In procedure module-lookup: Unbound variable: %current-output-port

Entering a new prompt.  Type `,bt' for a backtrace or `,q' to continue.

Ignoring the errors about %current-output-port, in guile2.0 put-string
is in (rnrs io ports), so it looks like it's safe to substitute (ice-9
textual-ports) for (rnrs io ports) in guile2.0-redis. So I made that
change and dropped your second patch. If someone mentions that
[email-masked] is broken we can revisit :)

> #+begin_src 
> ➜  guix git:(master) ✗ guix environment -C --ad-hoc [email-masked] -- guile
> The following derivation will be built:
>    /gnu/store/f6pxq82f7ifzxmlaba72x0mn9rqfdf8b-profile.drv
> The following profile hooks will be built:
>    /gnu/store/3ghqadnzhddgcf8nljfzjrkyzvizn61m-manual-database.drv
>    /gnu/store/4p7wnbk6bh9g6q1wlb48zmf09rlnwdxl-info-dir.drv
>    /gnu/store/4q08ispks919baxrvp5g7wyipn1n98lc-fonts-dir.drv
>    /gnu/store/f15hk17knzla3wzhmfyx61lwih1g5mjq-ca-certificate-bundle.drv
> building CA certificate bundle...
> building fonts directory...
> building directory of Info manuals...
> building database for manual pages...
> building profile with 1 package...
> GNU Guile 2.0.14
> Copyright (C) 1995-2016 Free Software Foundation, Inc.
> 
> Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show w'.
> This program is free software, and you are welcome to redistribute it
> under certain conditions; type `,show c' for details.
> 
> Enter `,help' for help.
> scheme@(guile-user)> ,use (ice-9 textual-ports)
> While executing meta-command:
> ERROR: no code for module (ice-9 textual-ports)
> scheme@(guile-user)> 
> #+end_src
> 
> In this patch set, I've downgraded the guile2.0-redis version to 1.3.0.
> 
> BonfaceKilz (2):
>   gnu: guile-redis: Update to 2.0.0.
>   gnu: guile2.0-redis: Revert to 1.3.0.
> 
>  gnu/packages/guile-xyz.scm | 15 +++++++++++++--
>  1 file changed, 13 insertions(+), 2 deletions(-)
> 
> -- 
> 2.29.2
> 

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: [PATCH 1/1] gnu: guile-redis: Update to 2.0.0.
From: BonfaceKilz <[email-masked]>
To: [email-masked]
Cc: BonfaceKilz <[email-masked]>, [email-masked]
Date: Tue, 19 Jan 2021 01:39:26 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/guile-xyz.scm (guile-redis): Update to 2.0.0.
---
 gnu/packages/guile-xyz.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/guile-xyz.scm b/gnu/packages/guile-xyz.scm
index 9775cc33f0..50fee4cdd0 100644
--- a/gnu/packages/guile-xyz.scm
+++ b/gnu/packages/guile-xyz.scm
@@ -33,6 +33,7 @@
 ;;; Copyright © 2020 Mike Rosset <[email-masked]>
 ;;; Copyright © 2020 Leo Prikler <[email-masked]>
 ;;; Copyright © 2020 pukkamustard <[email-masked]>
+;;; Copyright © 2021 Bonface Munyoki Kilyungi <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -2428,7 +2429,7 @@ interface for reading articles in any format.")
 (define-public guile-redis
   (package
     (name "guile-redis")
-    (version "1.3.0")
+    (version "2.0.0")
     (home-page "https://github.com/aconchillo/guile-redis")
     (source (origin
               (method git-fetch)
@@ -2438,7 +2439,7 @@ interface for reading articles in any format.")
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "14izs8daxh7pb7vwpxi5g427qa31137jkaxrb1cy5rpjkwchy723"))))
+                "1zk2x37lw6ygf7rwy71svnsian8lj51axpxmm66ah7dazn69swlm"))))
     (build-system gnu-build-system)
     (native-inputs
      `(("autoconf" ,autoconf)
-- 
2.29.2